/**
 * @desc: version-check
 */

const _chalk = require('chalk');
const _semver = require('semver');
const _process = require('child_process');
const _packageConfig = require('../../package.json');

((checkList, checker) => {
  checkList.forEach(item => checker(item));
})([
  {
    name: 'node',
    curr: _semver.clean(process.version),
    required: _packageConfig.engines.node
  },
  {
    name: 'npm',
    curr: _process.execSync('npm -v').toString().trim(),
    required: _packageConfig.engines.npm
  }
], item => {
  const { name, curr, required } = item;
  if (!_semver.satisfies(curr, required)) {
    console.log(`${name} version ${_chalk.red(curr)} should be ${_chalk.green(required)}`);
    process.exit(1);
  }
});
