/**
 * @desc: env-vars
 */

const getEnv = () => process.env.NODE_ENV;
const [_dev, _prod] = ['development', 'production'];

const check = env => (env || getEnv()) === _dev || (env || getEnv()) === _prod;

module.exports = {
  
  dev: _dev,
  
  prod: _prod,
  
  getEnv,
  
  check,
  
  isDev: getEnv() === _dev,
  
  isProd: getEnv() === _prod
  
};
