/**
 * @desc: config in different environments
 */

const { dev: _dev, prod: _prod } = require('./env-util');
const _ip = require('ip').address();

module.exports = {
  
  dev: {
    port: 3000,
    host: _ip,
    open: true,
    env: _dev,
    quiet: false,
    proxy: {
      // '/api': 'http://localhost:8080'
    },
    dll: {
      nameStyle: '.bundle',
      manifest: 'dev-manifest.json'
    }
  },
  
  prod: {
    env: _prod,
    htmlMinify: {
      collapseBooleanAttributes: true,
      collapseWhitespace: true,
      minifyJS: true,
      minifyCSS: true,
      collapseInlineTagWhitespace: true,
      removeComments: true,
      removeEmptyAttributes: true,
      removeScriptTypeAttributes: true,
      removeStyleLinkTypeAttributes: true
    },
    sourceMap: false,
    quiet: false,
    uglifyJS: {
      sourceMap: false,
      compress: {
        dead_code: true,
        drop_debugger: true,
        warnings: false,
        drop_console: true,
        collapse_vars: true,
        reduce_vars: true
      },
      output: {
        indent_level: 2
      }
    },
    dll: {
      nameStyle: '.bundle.min',
      manifest: 'prod-manifest.json'
    }
  },
  
  analyse: {
    port: 3001,
    host: _ip,
    open: true,
    env: _prod,
    stats: 'stats.json',
    quiet: true
  },
  
  dll: {
    release: 'release.json'
  }
  
};
