/**
 * @desc: webpack analyse config
 */

const _merge = require('webpack-merge');
const _prodConfig = require('../webpack-prod');
const _analyse = require('../config/env').analyse;
const _bundleAnalyzerPlugin = require('webpack-bundle-analyzer').BundleAnalyzerPlugin;

module.exports = _merge(_prodConfig, {
  
  profile: true,
  
  stats: _analyse.quiet ? 'none' : _prodConfig.stats,
  
  plugins: [
    new _bundleAnalyzerPlugin({
      analyzerHost: _analyse.host,
      analyzerPort: _analyse.port,
      openAnalyzer: _analyse.open,
      generateStatsFile: !!_analyse.stats,
      statsFilename: _analyse.stats
    })
  ]
  
});
