/**
 * @desc: webpack resolve.alias, get more information at:
 * https://webpack.js.org/configuration/resolve/#resolve-alias
 */

const _path = require('path');
const _dirs = require('../config/dir-vars').dirs;

module.exports = Object.assign({}, _dirs, {
  
  // vue common version has preserved process.env.NODE_ENV check
  vue$: 'vue/dist/vue.runtime.common.js',
  
  design$: _path.join(_dirs.launcher, 'config', 'design.js'),
  
  envUtil$: _path.join(_dirs.launcher, 'config', 'env-util.js')
  
});
