/**
 * @desc: webpack dll config in development environment
 */

const _path = require('path');
const _merge = require('webpack-merge');
const _baseDllConfig = require('../webpack-dll');
const _basePlugins = require('../webpack-base/plugins');
const _devBaseConfig = require('../webpack-dev/base');
const _dll = require('../config/env').dev.dll;
const _dirs = require('../config/dir-vars').dirs;

module.exports = _merge(_baseDllConfig({
  
  manifestPath: _path.join(_dirs.dll, _dll.manifest)
  
}), _basePlugins({
  
  hardSource: true
  
}), _devBaseConfig(), {
  
  output: {
    path: _dirs.dll,
    filename: `[name]${_dll.nameStyle}.js`
  }
  
});
