/**
 * @desc: webpack config in development environment
 */

const _path = require('path');
const _merge = require('webpack-merge');
const _webpack = require('webpack');
const _baseConfig = require('../webpack-base');
const _baseLoaders = require('../webpack-base/loaders');
const _basePlugins = require('../webpack-base/plugins');
const _devBaseConfig = require('../webpack-dev/base');
const _dllReferenceConfig = require('../webpack-dll/reference');
const _dev = require('../config/env').dev;
const _vars = require('../config/dir-vars').vars;

// eslint-disable-next-line max-len
module.exports = _merge(_baseConfig(), _baseLoaders(), _basePlugins({}), _devBaseConfig(), _dllReferenceConfig({
  
  dll: _dev.dll,
  
  hash: false
  
}), {
  
  output: {
    filename: `${_vars.scripts}/[name].bundle.js`,
    chunkFilename: `${_vars.scripts}/[name].js`
  },
  
  plugins: [
    // if use webpack-dev-server,
    // can add it to print readable module names in the browser console on HMR updates
    // new _webpack.NamedModulesPlugin(),
    new _webpack.HotModuleReplacementPlugin()
  ]
  
});

(entry => {
  Object.keys(entry).forEach(key => {
    entry[key] = [_path.join(__dirname, 'hot-client.js')].concat(entry[key]);
  });
})(module.exports.entry);
