/**
 * @desc: webpack dll config for production environment
 */

const _path = require('path');
const _merge = require('webpack-merge');
const _baseDllConfig = require('../webpack-dll');
const _prodBaseConfig = require('../webpack-prod/base');
const _basePlugins = require('../webpack-base/plugins');
const _dll = require('../config/env').prod.dll;
const _dirs = require('../config/dir-vars').dirs;

module.exports = _merge(_baseDllConfig({
  
  extractCss: require('./extract-css'),
  
  manifestPath: _path.join(_dirs.dll, _dll.manifest)
  
}), _prodBaseConfig(), _basePlugins({
  
  hardSource: true
  
}), {
  
  output: {
    path: _dirs.dll,
    filename: `[name]${_dll.nameStyle}.js`
  }
  
});
