/**
 * @desc:
 * 1. auto set global components in the components/global dir
 * 2. auto set global components in the components/ui/global dir
 */

import { getModule } from 'utils/require-context';

const modules = require.context('comps/global', true, /\.vue$/);
const uiModules = require.context('ui/global', true, /\.vue$/);

modules.keys().forEach(key => {
  const { path, name } = getModule('vue', key);
  const module = require(`comps/global/${path}`);
  Vue.component(name, module || module.default);
});

uiModules.keys().forEach(key => {
  const { path, name } = getModule('vue', key);
  const module = require(`ui/global/${path}`);
  Vue.component(name, module || module.default);
});
