/**
 * @desc: ajax interceptor
 */

import axios from 'axios';

axios.defaults.timeout = 10000;

/**
 * @desc: 如果ajax url不是以http、https、/data开头的话，统一加上/api前缀
 */
axios.interceptors.request.use(config => {
  const { url } = config;
  !/^(https?:|\/\/|\/data)/.test(url) && (config.url = `/api${/^\//.test(url) ? '' : '/'}${url}`);
  return config;
}, err => Promise.reject(err));

/**
 * @desc: 如果errcode不等于0，统一以错误处理
 */
axios.interceptors.response.use(
  res => (+res.data.errcode === 0 ? res.data : Promise.reject(res)),
  err => Promise.reject(err)
);
