/**
 * @desc: router config
 */

import VueRouter from 'vue-router';
import { getModule } from 'utils/require-context';

Vue.use(VueRouter);

let routes = [];
const modules = require.context('routes', true, /\.js$/);

// 获取routes目录下的所有路由配置，并转换成数组
modules.keys().forEach(key => {
  const { path } = getModule('js', key);
  const module = require(`routes/${path}`);
  routes = routes.concat(module.default || module);
});

// 路由路径未匹配，定向到404页面，该项必须放在最后面
routes.push({ path: '*', redirect: '/404' });

const router = new VueRouter({
  routes,
  // mode: 'history',
  linkActiveClass: 'active'
});

// router.beforeEach((to, from, next) => {});

export default router;
