/**
 * @desc: vue store
 */

import Vuex from 'vuex';
import { getModule } from 'utils/require-context';

Vue.use(Vuex);

const modules = {};
const context = require.context('store/modules', true, /\.js$/);

context.keys().forEach(key => {
  const { path, name } = getModule('js', key);
  if (name === 'index') { return; }
  const module = require(`store/modules/${path}`);
  modules[_camelCase(name)] = module.default || module;
});

export default new Vuex.Store({
  modules,
  strict: process.env.NODE_ENV === 'development'
});
