/**
 * @desc: popupManager
 */

function PopupManager(maxSize, yOffset) {
  this.cache = [];
  this.yOffset = yOffset || this.DEFAULT.yOffset;
  this.maxSize = maxSize || this.DEFAULT.maxSize;
}

PopupManager.prototype = {
  ...PopupManager.prototype,
  DEFAULT: {
    yOffset: 60,
    maxSize: 3
  },
  push(ele) {
    const bottomVal = window.parseInt(this.getBottomVal(ele.dom));

    this.recycleDestroyed();
    if (this.cache.length >= this.maxSize) {
      this.cache.splice(0, 1)[0].ele.close();
    }
    this.cache.forEach(obj => {
      obj.bottom += this.yOffset;
      obj.ele.dom.style.bottom = `${obj.bottom}px`;
    });

    this.cache.push({ ele, bottom: bottomVal });
  },
  recycleDestroyed() {
    for (let i = 0; i < this.cache.length; i++) {
      if (this.cache[i].ele._isDestroyed) {
        this.cache.splice(i, 1);
        i--;
      }
    }
  },
  getBottomVal(ele) {
    return window.getComputedStyle(ele).getPropertyValue('bottom');
  }
};

export default PopupManager;
