/**
 * @desc: 配合webpack require.context api，获取文件的名称和路径
 */

/**
 * @param type(required) {String}: 模块类型，例如js，vue等
 * @param key(required) {String}: require.context获取的key
 * @returns {Object<path, name>}: path-模块的路径，name-模块名称
 */
export const getModule = (type, key) => { // eslint-disable-line
  const reg = new RegExp(`.${type}$`, 'ig');
  const path = key.replace(/^(.\/)/, '').replace(reg, '');
  return {
    path,
    name: _camelCase((keys => {
      const i = keys.length - 1;
      return keys[i] === 'index' ? keys[i - 1] : keys[i];
    })(path.split('/')))
  };
};
